package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.zdsz.domain.bo.ZEngineeringInfrastructureBo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringReviewBo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringInfrastructureSelectVo;
import com.ruoyi.zdsz.domain.vo.ZEngineeringInfrastructureVo;

import java.util.Collection;
import java.util.List;

/**
 * 基建工程Service接口
 *
 * @author ruoyi
 * @date 2024-01-03
 */
public interface IZEngineeringInfrastructureService {

    /**
     * 查询基建工程
     */
    ZEngineeringInfrastructureVo queryById(String id);

    /**
     * 查询基建工程历史
     */
    ZEngineeringInfrastructureVo queryByIdType(String id, String type);

    /**
     * 查询基建工程下拉
     */
    List<ZEngineeringInfrastructureSelectVo> select(ZEngineeringInfrastructureBo bo);

    /**
     * 查询基建工程列表
     */
    TableDataInfo<ZEngineeringInfrastructureVo> queryPageList(ZEngineeringInfrastructureBo bo, PageQuery pageQuery);

    /**
     * 查询基建工程列表
     */
    List<ZEngineeringInfrastructureVo> queryList(ZEngineeringInfrastructureBo bo);

    /**
     * 新增基建工程
     */
    Boolean insertByBo(ZEngineeringInfrastructureBo bo);

    Boolean insertByBoApp(ZEngineeringInfrastructureBo bo);

    /**
     * 新增基建工程审核
     */
    Boolean review(ZEngineeringReviewBo bo);

    /**
     * 修改基建工程
     */
    Boolean updateByBo(ZEngineeringInfrastructureBo bo);

    /**
     * 校验并批量删除基建工程信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);
}
